Bug 79830 - update port: lang/php[45]: fix PLIST for pear again
Summary: update port: lang/php[45]: fix PLIST for pear again
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-12 18:50 UTC by Yen-Ming Lee
Modified: 2005-04-15 09:12 UTC (History)
0 users

See Also:


Attachments
php.diff (1.17 KB, patch)
2005-04-12 18:50 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2005-04-12 18:50:28 UTC
This patch was a part of ports/78516.

The file ${PREFIX}/lib/php/pear/.filemap will be update when installing or
deinstalling pear packages, so its MD5 checksum will mismatch and fail to
remove it when deinstalling a pear package.

So, list it in pkg-plist in not enough, please use "@unexec rm ..." instead.
Comment 1 Yen-Ming Lee freebsd_committer 2005-04-12 18:51:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to the maintainer.
Comment 2 Alex Dupre freebsd_committer 2005-04-13 14:52:42 UTC
.filemap on my system is always a zero-sized file. How can its md5 
checksum change? What ports or operations change it?

--
Alex Dupre
Comment 3 Yen-Ming Lee freebsd_committer 2005-04-13 15:29:36 UTC
On Wed, Apr 13, 2005 at 03:52:42PM +0200, Alex Dupre wrote:
> .filemap on my system is always a zero-sized file. How can its md5 
> checksum change? What ports or operations change it?

Yes, when it is just installed by php[45]-pear, it's a empty file.

However, when installing or deinstalling other pear-* packages, .filemap will
be update by /usr/ports/devel/pear-PEAR/pkg-install, run /usr/local/bin/pear
which includes functions in /usr/local/share/pear/bootstrap/PEAR/Registry.php.
So, you'll see "install ok: ..." or "uninstall ok: ...." when installing or
deinstalling a pear port.

please check rebuildFileMap() in Registry.php, it will write serialize()-ed
string into filemap, So, ever there is nothing to write, .filemap will become
"a:0:{}" after deinstalling everything.

If it's not a good idea to removing .filemap by using "@unexec rm ...", please
modify Registry.php to avoid write serialized null array into .filemap.

Thanks.
-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 4 Alex Dupre freebsd_committer 2005-04-15 09:12:24 UTC
State Changed
From-To: open->closed

Fixed, thanks!